Archived

This topic is now archived and is closed to further replies.

  • 0

jQuery conflict

Question

Posted · Report post

I'm experiencing a conflict when loading http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js. I'm loading the script through Pagelines > Site Options > Header Scripts. 

 

When this script is loaded the Quickslider and background image disappears from my page.

 

Can someone please help?

 

Thanks.

 

Share this post


Link to post
Share on other sites

4 answers to this question

Posted · Report post

WordPress runs jQuery in compatible mode, so $ MUST be substituted with jQuery

 

$('html, body').stop().animate({

 

becomes

 

jQuery('html, body').stop().animate({

 

and so forth. Good luck.

Share this post


Link to post
Share on other sites

Posted · Report post

Why on earth are you loading jquery, when its already loaded by wordpress anyway?

Share this post


Link to post
Share on other sites

Posted · Report post

Thanks Simon. All fixed!

Share this post


Link to post
Share on other sites